[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. c12461b73f93afd59acfcf82e5ec3bb3bf298eab

Luca Capello luca at pca.it
Wed Feb 4 18:01:38 UTC 2009


The following commit has been merged in the master branch:
commit c12461b73f93afd59acfcf82e5ec3bb3bf298eab
Author: Luca Capello <luca at pca.it>
Date:   Wed Feb 4 17:37:00 2009 +0100

    install.sh: fix while test for partitions
    
    Commit d55f309cd6a94e77b00d86621091b2ef842e333e replaced the old
    while loop for partitions with a cleaner if+while test which
    takes into account the value of the $SINGLE_PART variable.
    
    However, the new while loop tests for the partitions to be
    present, while it should be the opposite: if the partitions
    do not appear, wait three more seconds and then retry, for
    a maximum of 15 seconds.

diff --git a/install.sh b/install.sh
index e0bb3f0..f9b4894 100755
--- a/install.sh
+++ b/install.sh
@@ -424,7 +424,7 @@ if [ "$SINGLE_PART" = "true" ]; then
 else
 	DEVTEST="test -e ${SD_DEVICE}p1 -a -e ${SD_DEVICE}p2"
 fi
-while $DEVTEST ; do
+while ! $DEVTEST; do
 	if [ "$SLEEP_SECONDS" = 15 ]; then
 		echo "E: Partitioning has failed, partitions have not been created"
 		exit 1

-- 
Various non-packaged files



More information about the pkg-fso-commits mailing list